package jp.agentec.sinaburocast.form.admin.setting;

import java.util.ArrayList;

import jp.agentec.sinaburocast.entity.AdminUser;
import jp.agentec.sinaburocast.entity.OperationHistory;

import org.seasar.framework.container.annotation.tiger.Component;
import org.seasar.framework.container.annotation.tiger.InstanceType;

/**
 * 管理者操作履歴Form
 *
 * @author choi-c
 *
 */
@Component(instance=InstanceType.SESSION)
public class OperationHistoryForm extends PagingForm {

	public String searchFrom;
	public String searchTo;
	public String selectAdmin;
	
	/**画面別表示数を変更したい場合*/
//	public OperationHistoryForm(){
//		super.setPagePerCnt(null, 7);
//	}
	
	public ArrayList<AdminUser> adminUserList;
	
	public ArrayList<OperationHistory> operationHistory;
	
	public void resetIndex(){
		searchFrom  = null;
		searchTo    = null;
		selectAdmin = null;
		adminUserList = null;
		operationHistory = null;
	}

}
