package jp.agentec.sinaburocast.common.exception;

/**
 * 外部プロセス実行時の例外
 * 
 * @author tsukada
 *
 */
public class ProcessExecException extends SystemException {
	private static final long serialVersionUID = 1L;
	private Exception e;

	public ProcessExecException(String s, String code) {
		super(s, code);
	}

	public ProcessExecException(Exception e, String code) {
		super(e.toString(), code);
		this.e = e;
	}

	public Exception getE() {
		return e;
	}

}
